summaryrefslogtreecommitdiff
path: root/http/install.sh
diff options
context:
space:
mode:
authorChristian Rebischke <Chris.Rebischke@posteo.de>2017-05-06 03:38:46 +0200
committerChristian Rebischke <Chris.Rebischke@posteo.de>2017-05-06 03:38:46 +0200
commit5eab5731066846c624909f48e8629f4550173b29 (patch)
tree6776f3a66b098eab506ff164a4b2730a66271276 /http/install.sh
parent02227c3029362fec100413f026e8982efb0b08e9 (diff)
downloadarch-boxes32-5eab5731066846c624909f48e8629f4550173b29.tar.xz
added first version of new install scripts
Diffstat (limited to 'http/install.sh')
-rw-r--r--http/install.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/http/install.sh b/http/install.sh
new file mode 100644
index 0000000..f1c97cc
--- /dev/null
+++ b/http/install.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [ -e /dev/vda ]; then
+ device=/dev/vda
+elif [ -e /dev/sda ]; then
+ device=/dev/sda
+else
+ echo "ERROR: There is no disk available for installation" >&2
+ exit 1
+fi
+export device
+
+memory_size_in_kilobytes=$(free | awk '/^Mem:/ { print $2 }')
+swap_size_in_kilobytes=$((memory_size_in_kilobytes * 2))
+sfdisk "$device" <<EOF
+label: dos
+size=${swap_size_in_kilobytes}KiB, type=82
+ type=83, bootable
+EOF
+
+mkswap "${device}1"
+mkfs.btrfs -L "rootfs" "${device}2"
+mount "${device}2" /mnt
+
+pacstrap /mnt base grub openssh sudo
+swapon "${device}1"
+genfstab -p /mnt >> /mnt/etc/fstab
+swapoff "${device}1"
+
+arch-chroot /mnt /bin/bash